# Accreditation

For approved partner integrations, you will need to complete our accreditation process.

### **Accreditation test cases**

You will be asked to complete a series of test cases to ensure all use-cases for the type of integration have been met.

Here is a sample list of test cases:

**Authentication**

* To test successful API authorisation
* To test failed API authorisation with incorrect username/password

**Contacts**

* Create contact (new)
* Create contact (update)
* Create contact (new + Opted in)
* Create contact (new + opted out)
* Create contact (with rules)
* Create contact (with valid unit)
* Create contact with group(s)
* Failed create contact (invalid unit)
* Failed create contact (invalid email address)
* Failed create contact (invalid DOB)

**Bookings**

* Create new booking (new contact)
* Create new booking (update contact)
* Create invalid booking (new contact)
* Create invalid booking (update contact)
* Search for valid booking reference
* Search for invalid booking reference
* Search and update booking&#x20;

**WIFI**

* Create valid WIFI (new contact)
* Create valid WIFI (existing contact)
* Create valid WIFI with appropriate type (Detected / connected / authenticated)
* Create invalid WIFI (new contact)
* Create invalid WIFI (existing contact)

**Purchases**

* Create valid purchase (new contact)
* Create valid purchase (existing contact)
* Create invalid purchase
* Create valid purchase (multiple QTY item)
* Create valid purchase (multiple items in basket)

**Retries**

* Retry process

**Logging**

* API logging


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.airship.co.uk/rest-api/accreditation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
